Get Public City Detail
GET /api/v1/public/cities/{slug}
GET
/api/v1/public/cities/{slug}
Get public-safe city detail by slug. Includes basic cost of living, quality of life, and a static FI estimate. No authentication required.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” slug
required
City slug identifier
string
Example
lisbon-portugalResponses
Section titled “ Responses ”City detail
object
success
required
boolean
data
required
object
slug
required
string
name
required
string
country
required
string
region
string
nomadScore
number
monthlyCost
number
qualityOfLife
object
key
additional properties
number
fiEstimate
object
years
required
number
monthlyBudget
required
number
imageUrl
string format: uri
Missing slug parameter
object
success
required
Always false for error responses
boolean
error
required
Error type
string
Example
Validation error code
Machine-readable error code
string
Example
VALIDATION_ERROR details
Detailed validation errors
Array<object>
object
path
required
Path to the invalid field
string
Example
currentAge message
required
Error message
string
Example
Must be between 18 and 100City not found
object
success
required
Always false for error responses
boolean
error
required
Error type
string
Example
Validation error code
Machine-readable error code
string
Example
VALIDATION_ERROR details
Detailed validation errors
Array<object>
object
path
required
Path to the invalid field
string
Example
currentAge message
required
Error message
string
Example
Must be between 18 and 100